1

So, I was trying to download PicsArt and it says that I need a 10.0 IOS version. And that's happenning to almost every awesome app and games in the App Store. And that's the problem, I almost can't download anymore because of that. Now, let's go to the question, How do I download the latest compatible version of an app that I haven't purchased before?

Please answer because I'm trying to download not just PicsArt but many more...

  • So what is the version of IOS you are trying to download with? – Solar Mike Feb 8 at 23:33
  • iOS 9.3.5, the last version compatible for iPad Mini 1st Gen Wifi – SkyGames Feb 9 at 8:31
-1

You need to update your iOS version, if possible, or live without those apps.

As of iOS 11, Apple has told developers they must update their apps to 64-bit. Older, 32-bit, apps can't be on the App Store anymore.

If you're on any version older than iOS 11 and the developer hasn't updated their app (it's the developer's responsibility to do this, not Apple's), you will not be able to download or run the app.

  • So...I can't download the latest compatible version of an app anymore? – SkyGames Feb 9 at 8:32
  • Not if it's a 32-bit app and hasn't been updated, Apple doesn't have it in the Store anymore. If you don't have a local backup of the app then you can't download it again. – fsb Feb 9 at 15:07
  • If you're going to downvote an answer, at least leave a comment saying why. That could help improve the answer. – fsb Feb 9 at 15:08
  • The PicsArt app is still in the App Store. Does downloading it on iTunes 12.6.3 and downloading it again at my iPad help? – SkyGames Feb 10 at 6:56
  • @SkyGames if the version on the App Store requires ios 10 then it still won't run on your device. You can try it and see if it works but it's pretty old at this point. – fsb Feb 10 at 7:06

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .